Change information
Needs: Incidents, Read-write
Changes an incident's information. Send only what changes. The assignee is notified.
curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incidents/123" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"status": "Open",
"assigned_to": 40
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/incidents/123"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"status": "Open",
"assigned_to": 40
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/incidents/123", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"status": "Open",
"assigned_to": 40
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"status": "Open",
"assigned_to": 40
}`)
req, err := http.NewRequest("PATCH", "https://app.imploy.com.au/api/integrations/v1/incidents/123", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/incidents/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"status": "Open",
"assigned_to": 40
}'
response = http.request(request)
puts response.body
{
"updated": 12,
"kind": "incident"
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/incidents/{id}Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The incident id.
The media type of the request body
One of Triage, Open, Resolving, On Hold, Resolved, Not an Incident or Archived.
One of Low, Medium or High.
One of Medication, Behaviour, Injury, Abuse, Restrictive, Privacy or Other.
Where it happened.
YYYY-MM-DD.
Staff id, or null to unassign.
Staff id.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The incident id.
Body
One of Triage, Open, Resolving, On Hold, Resolved, Not an Incident or Archived.
One of Low, Medium or High.
One of Medication, Behaviour, Injury, Abuse, Restrictive, Privacy or Other.
Where it happened.
YYYY-MM-DD.
Staff id, or null to unassign.
Staff id.
Responses
OK